Subject: bug#11101: Incorrect relative dates the day after DST switchover

From: [email-masked]
Date: Tue, 27 Mar 2012 17:34:07 -0000

Well, if one assumes the point of allowing 'human-friendly' relative dates
such as 'yesterday' is to make usage more intuitive, then the
24-hour-offset is probably incorrect behavior.  That would explain the
quantity of bug reports you are seeing.

Perhaps the 'yesterday' directive ought to just go ahead and assume the
recommended noon reference point, rather than the current moment?  That
would certainly reflect the general meaning of the term 'yesterday' more
accurately.

It seems odd to explicitly permit a natural-language term and then use a
definition for it that differs from what a natural-language user probably
means.